// creator  : weidu.exe (version 23100)
// argument : KPRUNN01.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~KPRUNN01~

IF ~Global("KeepPlot","GLOBAL",4)
~ THEN BEGIN 0 // from:
  SAY #40420 /* ~My <PRO_LADYLORD>!  My <PRO_LADYLORD>!  I've found you, I have!  You... you've got to come quickly!  The major domo has sent for you to come!~ */
  IF ~~ THEN GOTO 1
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #40421 /* ~He says that Lord Roenall... Lord Roenall himself!... is waiting to see you!  Just come quickly, my <PRO_LADYLORD>!~ */
  IF ~~ THEN DO ~SetGlobalTimer("KeepImportant","GLOBAL",SEVEN_DAYS)
EscapeArea()
~ UNSOLVED_JOURNAL #3031 /* ~Ruling the de'Arnise Keep and Lands

A runner has come to me, stating that I must return to the de'Arnise keep as soon as possible... no more than a week... as Lord Farthington Roenall, the head of the family that wished to take Nalia's family's keep, desires to see me.~ */ EXIT
END

IF ~Global("KeepPlot","GLOBAL",7)
~ THEN BEGIN 2 // from:
  SAY #40575 /* ~My <PRO_LADYLORD>!  (pant!)  It is a good (pant!) thing that I have found you once again...!~ */
  IF ~~ THEN GOTO 3
END

IF ~~ THEN BEGIN 3 // from: 2.0
  SAY #40576 /* ~There has been a terrible flood on your (pant!) on your land!  There's so much devastation!  The major domo asks that you come to the keep (pant!) ... as quickly as possible!~ */
  IF ~~ THEN GOTO 4
END

IF ~~ THEN BEGIN 4 // from: 3.0
  SAY #40577 /* ~I've got to run back, now, and (pant!) tell him I've found you!  Please come quickly!~ */
  IF ~~ THEN DO ~SetGlobalTimer("KeepImportant2","GLOBAL",SEVEN_DAYS)
EscapeArea()
~ UNSOLVED_JOURNAL #3032 /* ~Ruling the de'Arnise Keep and Lands

Apparently, there has been a major flood in the lands around the de'Arnise keep.  A runner has been sent to ask me to return as soon as possible, within a week or less, in order to restore order there.~ */ EXIT
END

IF ~Global("KeepPlot","GLOBAL",8)
~ THEN BEGIN 5 // from:
  SAY #40642 /* ~My <PRO_LADYLORD>!  The... the worst has happened!  The major domo has sent me to find you... and I have!~ */
  IF ~~ THEN GOTO 6
END

IF ~~ THEN BEGIN 6 // from: 5.0
  SAY #40643 /* ~He says that Captain Cernick has sighted the Roenall forces mobilizing!  They... they're coming, my <PRO_LADYLORD>, they're coming!  They're going to wage war on us!~ */
  IF ~~ THEN GOTO 7
END

IF ~~ THEN BEGIN 7 // from: 6.0
  SAY #40644 /* ~You've got to come to the keep as quickly as you can!  The major domo says you must hurry!  Hurry!~ */
  IF ~~ THEN DO ~SetGlobalTimer("KeepImportant3","GLOBAL",SEVEN_DAYS)
EscapeArea()
~ UNSOLVED_JOURNAL #3033 /* ~Ruling the de'Arnise Keep and Lands

It appears the Roenalls have finally decided to take extreme action to claim the de'Arnise lands and remove me from the castle.  A runner reports that Roenall armed forces have been spotted approaching the keep... I will need to return there as soon as possible.~ */ EXIT
END
